// display.h
//
// 09-06-2003 23:19:32
//
// Copyright 2003 Terry Roberts
//
// See readme.html for more information.
//
// This file is part of MineSweeper.
// 
// MineSweeper is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// MineSweeper is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with MineSweeper; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

// C Header File
// Created 9/6/03; 12:45:45 AM

#ifndef DISPLAY_H
#define DISPLAY_H

// enum describing the state of a cell. The actual state is a combination of
// these.  For instance, a cell can be both SELECTED and VIRGIN depeding on
// where the cursor is.
typedef enum {VIRGIN=10,SELECTED,CLEAR,MINE,FLAG} STATE;

void drawBoard(); // draws board of virgin cells
void uncoverAll(int** board); // draw uncovered board, show all cells
void drawPlayer(int p); // draw arrow for player
void drawMinesLeft(int n); // change mines yet to be found
void drawMinesFlagged(int p, int n); // change flagged mines for each player

// draw sprite at coordinates representing cells (i.e. 16,0 is top right cell)
void drawSprite(int xCoord, int yCoord, STATE s);
void drawNumber(int xCoord, int yCoord, int num); // draw number at coodinates

#endif // DISPLAY_H
