// game.h
//
// 09-06-2003 23:19:32
//
// Copyright 2003 Terry Roberts
//
// See readme.html for more information.
//
// This file is part of MineSweeper.
// 
// MineSweeper is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// MineSweeper is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with MineSweeper; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

// C Header File
// Created 9/6/03; 9:43:51 PM

#ifndef GAME_H
#define GAME_H

#include <tigcclib.h>         // Include All Header Files

// Fills the 9x17 board with numMines and assigns all unmined cells to
// the number of mines they are adjacent to.
void generateBoard(int** board, int numMines);

// Used by generateBoard() to count the number of mines are adjacent
// to the cell at the passed coordinates.
int countMines(int xCoord, int yCoord, int** board);

// The actual game loop
int game(int** board, int numMines);

// Uncovers a virgin cell.  If the cell is empty (adjacent to no mines),
// it recursivly uncovers all the cells around it.
int openCell(int xCoord, int yCoord, int** board, int** played);

#endif // GAME_H
