// main.c
//
// 09-06-2003 23:19:32
//
// Copyright 2003 Terry Roberts
//
// See readme.html for more information.
//
// This file is part of MineSweeper.
// 
// MineSweeper is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// MineSweeper is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with MineSweeper; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

// C Source File
// Created 9/5/03; 9:42:43 PM

#define USE_TI89              // Produce .89z File
#define USE_TI92PLUS					// Produce .92z File

// #define OPTIMIZE_ROM_CALLS // Use ROM Call Optimization

#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files
#include "game.h"
#include "menu.h"

void _main(void)
{
	clrscr();
	int** board = (int**)malloc(17*sizeof(int**));
	int i,j;
	for (i = 0; i < 17; ++i)
		board[i] = (int*)malloc(9*sizeof(int*));
	int p1Wins = 0, p2Wins = 0, numMines = 25;
	short key;
	while (1)
	{
		key = doMenu(p1Wins,p2Wins,numMines);
		if (key == '1')
		{
			for (i = 0; i < 9; ++i)
			{
				for (j = 0; j < 17; ++j)
					board[j][i] = 0;
			}
			generateBoard(board,numMines);
			int result = game(board,numMines);
			switch (result)
			{
				case 1:
					++p1Wins;
					break;
				case 2:
					++p2Wins;
					break;
			}
		}
		else if (key == '2')
		{
			showInfo();
		}
		else if (key == '3')
		{
			int m = doSettings();
			if (m != 0)
				numMines = m;
		}
		else if (key == KEY_CLEAR)
		{
			p1Wins = 0;
			p2Wins = 0;
		}
		else if (key == KEY_ESC)
			break;
	}
	clrscr();
	
	for (i = 0; i < 17; ++i)
		free(board[i]);
	free(board);
}
