// menu.c
//
// 09-07-2003 14:24:20
//
// Copyright 2003 Terry Roberts
//
// See readme.html for more information.
//
// This file is part of MineSweeper.
// 
// MineSweeper is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// MineSweeper is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with MineSweeper; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

// C Source File
// Created 9/7/03; 2:16:17 PM

#include "menu.h"
#include <tigcclib.h>         // Include All Header Files

int doMenu(int p1Wins, int p2Wins, int numMines)
{
	clrscr();
	DrawStr(45,5,"MineSweeper",A_NORMAL);
	DrawStr(10,20,"[1] Play",A_NORMAL);
	DrawStr(10,30,"[2] Info",A_NORMAL);
	DrawStr(10,40,"[3] Settings",A_NORMAL);
	DrawStr(10,50,"[CLEAR] clear scores",A_NORMAL);
	DrawStr(10,60,"[ESC] Exit",A_NORMAL);
	char buffer[50];
	sprintf(buffer,"Number of mines: %d",numMines);
	DrawStr(10,75,buffer,A_NORMAL);
	sprintf(buffer,"P1: %d      P2: %d",p1Wins,p2Wins);
	DrawStr(10,90,buffer,A_NORMAL);
	return ngetchx();
}

void showInfo()
{
	clrscr();
	short oldFont = FontSetSys(F_4x6);
	printf("Minesweeper Info\n\n");
	printf("Copyright %c 2003 Terry Roberts\n",169);
	printf("This is free software under terms\n");
	printf("of the GNU General Public License.\n\n");
	printf("Write triggerhappy56@yahoo.com\n");
	printf("for more information.\n\n");
	printf("Compiled: ");
	printf(__DATE__);
	printf(" - ");
	printf(__TIME__);
	printf("\nusing TIGCC");
	FontSetSys(oldFont);
	ngetchx();
}

int doSettings()
{
	clrscr();
	DrawStr(10,10,"Settings",A_NORMAL);
	DrawStr(10,25,"# of mines:",A_NORMAL);
	DrawStr(10,35,"[1] 25, 13 to win",A_NORMAL);
	DrawStr(10,45,"[2] 31, 16 to win",A_NORMAL);
	DrawStr(10,55,"[3] 35, 18 to win",A_NORMAL);
	DrawStr(10,65,"[4] 41, 21 to win",A_NORMAL);
	DrawStr(10,75,"[ESC] Cancel",A_NORMAL);
	short key;
	while (1)
	{
		key = ngetchx();
		if (key == KEY_ESC)
			break;
		else if (key == '1')
			return 25;
		else if (key == '2')
			return 31;
		else if (key == '3')
			return 35;
		else if (key == '4')
			return 41;
	}
	return 0;
}
